                         BizCalc v1.1
                         ~~~~~~~~~~~~
    Ce programme peut être distribué librement, mais
    il doit être acompagné des fichiers de documentation.

BizCalc est une version très améliorée de MortCalc, publié dans la
collection Fred Fish (disque n° 385). Je lui ai donné un nouveau nom
parce que des utilisateurs croyaient que mon programme ne calcule que
des hypothèques, alors qu'il calcule tout genre de prêt, personnel ou
hypothécaire. Voici donc BizCalc, le calculateur de prêts à tout faire!

Le jeu d'équations (adapté pour permettre les durées inférieures à un mois)
vient d'un démo en AmigaBasic réalisé par nul autre que Jim Butterfield.
Pour l'option Afficher la table, j'ai utilisé le code de Teks, le lecteur
de fichiers compact et convivial de Pierre Baillargeon. Leo Schwab, gourou
de l'Amiga, a écrit la routine d'iconification. Compilé avec Aztec 3.6a.

ATTENTION
~~~~~~~~~
L'auteur ne peut en aucun cas être tenu responsable de pertes financières
encourues par des utilisateurs de ce programme. 
Un conseil: évitez de répondre aux huissiers... ;^)

UTILISATION
~~~~~~~~~~~    
-à partir du CLI:   BizCalc   [-option -option ...] 
                    BizCalc ?                    ce tableau d'aide
                                                      
    Options:  (où N est un entier ou une décimale)                    
         -pN  Principal N  (capital)
         -rN  Rate N       (taux)                     
         -lN  Length N     (durée en mois)        
         -bN  Balance N    (solde)                    
         -cN  Capitalisation aux N mois (par défault, 1; Canada, 6)
         -nN  Nombre de paiements/an    (par défaut: 12)
         -f   Changer la langue par défaut (de l'anglais au français)  
         -u   Envoie des résultats bruts (6 décimales non arrondies)
              au CLI (ou à l'imprimante avec: BizCalc >PRT: -u)

    Pourquoi tant d'options à partir du CLI? Parce que ceci vous permet
    de lancer BizCalc avec vos propres valeurs à partir d'un gestionnaire
    de fichiers comme DiskMaster , SID, etc. Noter qu'il faut utiliser
    "1s" et "2s" pour les périodes de capitalisation de moins d'un
    mois; par exemple: 1> bizcalc -f -l48 -n52 -c1s

-à partir du Workbench: double-cliquer l'icône. Voir PRÉSÉLECTION.

 Icon.library et mathieee.library sont nécessaires pour BizCalc; amorcez 
 votre Amiga à partir d'un Workbench standard (Workbench 1.2, 1.3 ou 2.0).
 
BOUTONS ET BOITES
~~~~~~~~~~~~~~~~~
Si vous connaissez bien votre Amiga, lancez BizCalc et lisez ensuite
ce doc pour plus de détails.

Choisir l'opération souhaitée (la valeur inconnue à calculer) en
cliquant sur un des boutons à gauche (CAPITAL, TAUX, DURÉE, SOLDE ou
PAIEMENT). La valeur DURÉE représente la période d'amortissement (durée
du prêt). Le bouton sélectionné reste en vidéo inverse et la boîte à
messages en bas confirme la sélection. Au départ, BizCalc calcule les
versements mensuels correspondants aux valeurs affichées dans les
boîtes de valeurs (PAIEMENT sélectionné par défaut).

Pour changer une valeur connue, cliquer dans une boîte et corriger la
valeur avec le clavier ou le bloc numérique (DEL, espace arrière et
les flèches gauche et droite sont actives). On peut cliquer CALCUL
à tout moment. Il n'est pas nécessaire de taper [RETURN] pour entrer
une valeur, toutefois cette touche place le curseur la boîte
suivante. Cliquer aussi CALCUL pour ramener le curseur s'il disparaît.

Pour vider une boîte de valeurs, on peut aussi utiliser
Amiga-droite "X" (taper X en tenant la clé A droite enfoncée). Ceci
fait de la place, mais ne change pas la valeur; pour la changer en
mémoire, il faut cliquer CALCUL. Ce bouton entre toutes les valeurs 
affichées et donne la réponse dans la boîte de valeurs sélectionnée. 
Le résultat est indiqué par le curseur.

Le bouton CALCUL met en forme les valeurs affichées et rajoute les
$, % et %, etc. On peut écrire des caractères dans les boîtes de
valeurs, mais seules les valeurs numériques sont acceptées. Evidemment,
toute entrée non numérique risque de produire un message d'erreur.

Lors du calcul du TAUX , de la DURÉE ou du SOLDE, BizCalc envoie des
messages d'erreur si les limites logiques sont dépassées (O.K. là?).
 
La boîte INTÉRETS indique les intérêts cumulés payés. Cette boîte est
la seule qui n'accepte pas d'entrée directe, mais elle est mise à jour
chaque fois que le PAIEMENT change.

Le bouton IMPRIMER donne une copie papier de toutes les valeurs. Cette
liste courte est différente de l'option Table d'amortissement envoyée à
l'imprimante (voir MENU).

ATTENTION: -Si l'imprimante n'est pas en ligne, BizCalc bloque et      
            attend que vous l'ouvriez...
           -Incompatible avec le sous-menu Table sauvegardée.

Les boîtes "Capitalisation" et "Nombre de paiements/an" permettrent
l'entrée directe de valeurs entières ou décimales. C'est le mode
"expert": elles sont réservées à ceux qui savent ce qu'ils font. Disons
tout de suite qu'au Canada, la loi exige que les prêts hypothécaires
soient capitalisés semestriellement (sur 6 mois), alors qu'ils le sont
mensuellement aux U.S.A. Pour les prêts personnels, il n'y aucune
règle... Par exemple, au Canada, la capitalisation d'un prêt
hebdomadaire, qui est semestrielle (6) pour un prêt hypothécaire, sera
habituellement hebdomadaire (1s) pour un prêt personnel.

Les non-experts peuvent utiliser les boutons ">>>" pour sélectionner la
bonne valeur. Ainsi, BizCalc accepte "1s" pour 0.2309672, qui est le
facteur de capitalisation hebdomadaire. Quant à ceux qui ne s'y
retrouvent pas, ils peuvent utiliser le menu Type de prêt, qui met
automatiquement la bonne valeur dans la boîte Capitalisation pour les
prêts hypothécaires (U.S.A. ou Canada). Régler ensuite, au besoin, le
"Nombre de paiements/an", et tout est prêt.

Pour icônifier, cliquer le pictogramme en haut à droite. Vous pouvez
déplacer l'icône. Pour rouvrir la fenêtre, double-cliquer l'icône.

Pour QUITTER le programme, cliquer le bouton carré du coin supérieur
gauche, ou utiliser l'option du menu.

MENUS
~~~~~
Menu Projet: 
    On y trouve des tableaux d'aide (Info), les coordonnées de
    l'Auteur et les commandes Calcul et Quitter le programme.
    (Raccourcis clavier: Amiga-droite "I", "A" et "C".)

Menu Table d'amortissement: Ouvre ou ferme trois options exclusives:
*Afficher:
    Affiche à l'écran la liste de tous les versements dans la petite
    fenêtre. Le calcul de la table prend du temps si le nombre de périodes
    dépasse 100 (capitalisation hebdomadaire, par exemple). On peut
    dérouler la liste avec le bouton proportionnel à droite, avec les
    touches flèche haut et bas, ou encore en cliquant avec la souris en
    haut ou en bas dans la petite fenêtre. L'allocation de la mémoire est
    dynamique, et BizCalc fonctionne donc sans problème en multitâche avec
    d'autres applications.
*Imprimer:
    Imprime un résumé des valeurs et la liste complète. Il est prudent de
    vérifier la liste à l'écran avant de l'imprimer.
*Sauvegarder:
    Sauvegarde la liste dans le répertoire actif sous le nom par défaut
    BCalc.lst. Fonctionne en mode annexe (append): les listes se placent
    l'une à la suite de l'autre dans un même fichier. Ceci est bien
    pratique pour tenir à jour des tables permanentes ou pour des calculs
    complexes avec des paiements irréguliers. Pour changer le nom ou le
    chemin (path) du fichier, modifier le nom par défaut BCalc.lst qui
    apparaît dans la boîte du bas, par exemple dh0:finances/ma_table.lst. 
    IMPORTANT: Il faut entrer le nouveau nom du fichier avec [RETURN].  

Menu Type de prêts: 
	L'option CANADA du sous-menu Prêt hypothécaire fait passer du mode par
    défaut USA (capitalisation mensuelle) au mode canadien (semestrielle),
    et l'option USA fait l'inverse. La bonne valeur est affichée auto- 
    matiquement dans la boîte Capitalisation . Avec les valeurs de départ,
    on obtient un PAIEMENT mensuel de $132.15 (USA) ou $131.03 (Canada).
    Les valeurs calculées par BizCalc ont été vérifiées dans des tables et
    sont très fiables. Pour les prêts hebdomadaires ou aux deux semaines,
    ne pas oublier de régler la valeur "Nombre de paiements/an" à 52 ou 26,
    respectivement, en utilisant le bouton ">>>". 

RACCOURCIS
~~~~~~~~~~
Pour vider rapidement une boîte, taper "X" en maintenant la touche
Amiga-droite enfoncée. Pour rappeler le contenu effacé d'une boîte,
taper Amiga-droite "Q".

Les boîtes de valeurs (sauf DURÉE) n'ont besoin que des valeurs
numériques, et il n'est pas nécessaire d'entrer les $, % ou les
virgules des milliers, CALCUL le fait pour vous.

Quant à la boîte DURÉE, elle accepte tout caractère non numérique
pour séparer deux champs d'entiers (années et mois). Ainsi, les
entrées suivantes sont équivalentes:
             

            10 ans 2 mo.
            10 yrs 2 months    
            10/2
            0a122         (122 mois = 10 ans 2 mois)

Le champs "années" est obligatoire, et "mois" est facultatif.

Veuillez noter que la boîte DURÉE n'accepte que des entiers. Toutes les
autres prennent des entiers ou des valeurs décimales (positives, bien sûr).

On peut utiliser BizCalc sans la souris en utilisant les touches
flèches à l'intérieur des boîtes et <RETURN> pour passer d'une boîte à
l'autre. Laisser le pointeur de la souris sur CALCUL et presser
simultanément Alt-gauche et Amiga-gauche pour simuler le clic de la
souris... On peut aussi utiliser le raccourci clavier Amiga-droite "C"
pour le calcul, mais alors une petite bogue bouffe le curseur. Pour le
ramener, taper sur la flèche à gauche. Le curseur réapparaît alors dans
la boîte de départ (plutôt que dans la boîte des résultats), ce qui
peut être utile parfois. Comme quoi les bogues des uns sont les
ressources des autres...


TOUR DE PISTE
~~~~~~~~~~~~~
BizCalc peut faire beaucoup plus que calculer vos versements
hypothécaires. Par exemple, en partant des valeurs initiales, on
peut évaluer la durée des paiements si les versements mensuels
passent à $150. Solution: cliquer le bouton DURÉE (valeur inconnue à
trouver) et entrer $150 dans la boîte PAIEMENT, puis cliquer CALCUL.

Pour un gros paiement à la fin d'une période, calculer le SOLDE à cette
date, soustraire le montant du gros paiement, et continuer avec ces
nouvelles valeurs.

On veut savoir le solde d'un emprunt après un an. Solution: cliquer
le bouton SOLDE et entrer 1 dans la boîte DURÉE.
 
Attention aux valeurs asymptotiques si vous ne voulez pas payer
votre hypothèque pour l'éternité! Par exemple, cliquer DURÉE et
augmenter graduellement le CAPITAL jusqu'à ce qu'un message
d'erreur soit affiché (quand DURÉE dépasse 9999 mois...). Juste
avant cette valeur, une augmentation du CAPITAL d'un pauvre petit
dollar peut donner un changement de *plusieurs années* dans DURÉE!

Même en ajoutant des fractions de cent (p. ex. $.0.003) au PAIEMENT,
on peut obtenir des différences de plusieurs dollars dans le
CAPITAL. L'arrondissement des valeurs explique aussi pourquoi
on peut trouver quelques cents ou un signe négatif dans le SOLDE même
quand la période d'amortissement est terminée. Utiliser l'option -u du
CLI pour des sorties brutes non arrondies à six décimales.

BizCalc vous donne tout ce qu'il faut pour négocier une hypothèque.
Soyez aussi bien (ou mieux) renseigné que votre agent de prêts.

PRÉSÉLECTION DE VALEURS PAR DEFAUT
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
On peut changer certaines valeurs par défaut en modifiant le contenu
de la boîte Tool Types de l'icône (menu INFO du Workbench). CAN=1
et FR=1 remplacent respectivement le mode de calcul USA par le
mode canadien, et l'anglais par le français. Effacer ces entrées
pour retrouver les valeurs par défaut. Ce mode invisible de
sélection de la langue est le bienvenu sur notre petite planète.

Vous pouvez aussi utiliser les Tool Types pour changer les valeurs par
défaut au départ; ainsi, CAPITAL=14000, RATE=11.75, LENGTH=48,
BALANCE=5000, COMP=2w et NPY=26 sont des options valables pour changer le
capital, le taux, la durée, le solde, la capitalisation et le nombre de
paiements/an, respectivement. 
Remarques:  La durée (LENGTH) est en mois.
            Utiliser "1s" pour une semaine, et "2s" pour deux.
            Reproduire telles quelles les majuscules et les minuscules.

AGITPROP
~~~~~~~~
La prochaine version de BizCalc incorporera un jeu complet de tableaux
d'aide, un sélecteur de fichier ARP pour charger et sauvegarder des
configurations particulières, un lecteur de fichiers, des entrées
datées dans les tables d'amortissement et j'en passe... Elle est
réservée aux utilisateurs enregistrés de BizCalc. Donc, si vous
utilisez régulièrement BizCalc, faites-vous plaisir et commandez 
BizCalc Professionnel en envoyant $15 à:
                
        Michel Laliberté
        875 av. Dollard
        Outremont (Québec)
        H2V 3G8 Canada 
                                   Tout commentaire est le bienvenu.

                                               
